[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.PaintWindow

Updates the canvas handle and paints the control.

## Declaration

Source position: comctrls.pp line 848

`protected procedure TTabControl.PaintWindow(`
`DC: HDC`
`); override;`

## Arguments

`DC` |  | Device context for the control canvas.

## Description

PaintWindow is an overridden method in TTabControl. It ensures that the specified device context matches the Handle for the control canvas. When they differ, the value in DC is temporarily used as the canvas handle. The modified canvas handle is reset prior to exiting from the method.

PaintWindow calls the Paint method to render the control using the theme elements details available for a tab control. PaintWindow is called when a paint message is received and applied in the PaintHandler method.

PaintWindow re-implements the method from the ancestor class, and does not call the inherited method.

## See also

TTabControl.Paint |  | Paints the control to its Canvas using theme services.
TWinControl.PaintWindow |  | Paints a clipping region for the control on the specified device context.